package com.oguerreiro.resilient.error;

public class InventoryImportVariableNotFoundException extends ResilientException {
	private static final String CODE = "E004";
	
	public InventoryImportVariableNotFoundException(String sheetName, int row, String variableCode) {
		super("Sheet [" + sheetName + "]; Row[" + row + "]; The variable code [" + variableCode + "] wasn't found.");
		
		addMessageArg(sheetName);
		addMessageArg(row);
		addMessageArg(variableCode);
	}
	
	@Override
	public String getMessageCode() {
		return CODE;
	}

}
